commit 3e510856160ff12b80b48fdca213335d7552feeb
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Tue Jan 2 16:12:59 2018 -0600

    Low: libpe_status: use consistent monitor for implicit remotes
    
    Also update affected regression tests.

Index: pacemaker-1.1.21+20191031.b5c13b916/include/crm/pengine/remote.h
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/include/crm/pengine/remote.h
+++ pacemaker-1.1.21+20191031.b5c13b916/include/crm/pengine/remote.h
@@ -28,9 +28,7 @@ void pe_foreach_guest_node(const pe_work
                            void (*helper)(const node_t*, void*), void *user_data);
 xmlNode *pe_create_remote_xml(xmlNode *parent, const char *uname,
                               const char *container_id, const char *migrateable,
-                              const char *is_managed, const char *interval,
-                              const char *monitor_timeout,
-                              const char *start_timeout,
+                              const char *is_managed, const char *start_timeout,
                               const char *server, const char *port);
 
 #endif
Index: pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/container.c
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/lib/pengine/container.c
+++ pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/container.c
@@ -554,9 +554,8 @@ create_remote_resource(
          * remote should be ordered relative to docker.
          */
         xml_remote = pe_create_remote_xml(NULL, id, tuple->docker->id,
-                                          NULL, NULL, "60s", NULL,
-                                          NULL, connect_name,
-                                          (data->control_port?
+                                          NULL, NULL, NULL,
+                                          connect_name, (data->control_port?
                                            data->control_port : port_s));
         free(port_s);
 
Index: pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/remote.c
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/lib/pengine/remote.c
+++ pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/remote.c
@@ -132,23 +132,14 @@ pe_foreach_guest_node(const pe_working_s
  * \param[in] container        If not NULL, use this as connection container
  * \param[in] migrateable      If not NULL, use as allow-migrate value
  * \param[in] is_managed       If not NULL, use as is-managed value
- * \param[in] interval         If not NULL, create recurring monitor with this interval
- * \param[in] monitor_timeout  If not NULL, use as remote connect timeout
  * \param[in] start_timeout    If not NULL, use as remote connect timeout
  * \param[in] server           If not NULL, use as remote server value
  * \param[in] port             If not NULL, use as remote port value
- *
- * \note We should standardize on a single interval and monitor_timeout, but
- *       that would cause LRM history entries in active mixed-version clusters
- *       (and regression tests) to require a new monitor operation due to
- *       changed parameters. It might be worthwhile to do at a significant
- *       version bump.
  */
 xmlNode *
 pe_create_remote_xml(xmlNode *parent, const char *uname,
                      const char *container_id, const char *migrateable,
-                     const char *is_managed, const char *interval,
-                     const char *monitor_timeout, const char *start_timeout,
+                     const char *is_managed, const char *start_timeout,
                      const char *server, const char *port)
 {
     xmlNode *remote;
@@ -192,15 +183,10 @@ pe_create_remote_xml(xmlNode *parent, co
     }
 
     // Add operations
-    if (interval || start_timeout) {
-        xml_sub = create_xml_node(remote, "operations");
-        if (interval) {
-            crm_create_op_xml(xml_sub, uname, "monitor", interval,
-                              monitor_timeout);
-        }
-        if (start_timeout) {
-            crm_create_op_xml(xml_sub, uname, "start", "0", start_timeout);
-        }
+    xml_sub = create_xml_node(remote, "operations");
+    crm_create_op_xml(xml_sub, uname, "monitor", "30s", "30s");
+    if (start_timeout) {
+        crm_create_op_xml(xml_sub, uname, "start", "0", start_timeout);
     }
     return remote;
 }
Index: pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/unpack.c
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/lib/pengine/unpack.c
+++ pacemaker-1.1.21+20191031.b5c13b916/lib/pengine/unpack.c
@@ -502,7 +502,7 @@ expand_remote_rsc_meta(xmlNode *xml_obj,
     }
 
     pe_create_remote_xml(parent, remote_name, container_id,
-                         remote_allow_migrate, container_managed, "30s", "30s",
+                         remote_allow_migrate, container_managed,
                          connect_timeout, remote_server, remote_port);
     return remote_name;
 }
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.dot
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-nested-colocation.dot
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.dot
@@ -11,8 +11,8 @@ digraph "g" {
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-0_start_0 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-0_monitor_60000 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq-bundle-0_monitor_60000 overcloud-controller-0" [ style = bold]
+"rabbitmq-bundle-0_monitor_30000 overcloud-controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq-bundle-0_monitor_30000 overcloud-controller-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq:0_monitor_0 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 overcloud-controller-0" -> "rabbitmq:0_start_0 rabbitmq-bundle-0" [ style = bold]
@@ -29,8 +29,8 @@ digraph "g" {
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-1_start_0 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-1_monitor_60000 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq-bundle-1_monitor_60000 overcloud-controller-1" [ style = bold]
+"rabbitmq-bundle-1_monitor_30000 overcloud-controller-1" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq-bundle-1_monitor_30000 overcloud-controller-1" [ style = bold]
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq:1_monitor_0 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq:1_monitor_10000 rabbitmq-bundle-1" [ style = bold]
 "rabbitmq-bundle-1_start_0 overcloud-controller-1" -> "rabbitmq:1_start_0 rabbitmq-bundle-1" [ style = bold]
@@ -47,8 +47,8 @@ digraph "g" {
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-2" -> "rabbitmq-bundle-2_start_0 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_monitor_0 overcloud-galera-2" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-2_monitor_60000 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-2_start_0 overcloud-controller-2" -> "rabbitmq-bundle-2_monitor_60000 overcloud-controller-2" [ style = bold]
+"rabbitmq-bundle-2_monitor_30000 overcloud-controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_start_0 overcloud-controller-2" -> "rabbitmq-bundle-2_monitor_30000 overcloud-controller-2" [ style = bold]
 "rabbitmq-bundle-2_start_0 overcloud-controller-2" -> "rabbitmq:2_monitor_0 rabbitmq-bundle-2" [ style = bold]
 "rabbitmq-bundle-2_start_0 overcloud-controller-2" -> "rabbitmq:2_monitor_10000 rabbitmq-bundle-2" [ style = bold]
 "rabbitmq-bundle-2_start_0 overcloud-controller-2" -> "rabbitmq:2_start_0 rabbitmq-bundle-2" [ style = bold]
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-nested-colocation.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.exp
@@ -342,9 +342,9 @@
   </synapse>
   <synapse id="21">
     <action_set>
-      <rsc_op id="42" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_60000" on_node="overcloud-controller-0" on_node_uuid="1">
+      <rsc_op id="42" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_30000" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -388,7 +388,7 @@
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -401,7 +401,7 @@
     <action_set>
       <rsc_op id="25" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -414,7 +414,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -427,7 +427,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -440,7 +440,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -453,7 +453,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -506,9 +506,9 @@
   </synapse>
   <synapse id="32">
     <action_set>
-      <rsc_op id="45" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_60000" on_node="overcloud-controller-1" on_node_uuid="2">
+      <rsc_op id="45" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_30000" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -552,7 +552,7 @@
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -565,7 +565,7 @@
     <action_set>
       <rsc_op id="26" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -578,7 +578,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -591,7 +591,7 @@
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -604,7 +604,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -617,7 +617,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -670,9 +670,9 @@
   </synapse>
   <synapse id="43">
     <action_set>
-      <rsc_op id="48" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_60000" on_node="overcloud-controller-2" on_node_uuid="3">
+      <rsc_op id="48" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_30000" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -716,7 +716,7 @@
     <action_set>
       <rsc_op id="30" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-2" on_node_uuid="6">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-2" CRM_meta_on_node_uuid="6" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -729,7 +729,7 @@
     <action_set>
       <rsc_op id="27" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-1" on_node_uuid="5">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-1" CRM_meta_on_node_uuid="5" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -742,7 +742,7 @@
     <action_set>
       <rsc_op id="24" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-galera-0" on_node_uuid="4">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-galera-0" CRM_meta_on_node_uuid="4" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -755,7 +755,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -768,7 +768,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -781,7 +781,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-rabbit-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-rabbit-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.summary
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-nested-colocation.summary
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-nested-colocation.summary
@@ -67,9 +67,9 @@ Executing cluster transition:
  * Resource action: rabbitmq:1      monitor on rabbitmq-bundle-1
  * Resource action: rabbitmq:2      monitor on rabbitmq-bundle-2
  * Pseudo action:   rabbitmq-bundle-clone_start_0
- * Resource action: rabbitmq-bundle-0 monitor=60000 on overcloud-controller-0
- * Resource action: rabbitmq-bundle-1 monitor=60000 on overcloud-controller-1
- * Resource action: rabbitmq-bundle-2 monitor=60000 on overcloud-controller-2
+ * Resource action: rabbitmq-bundle-0 monitor=30000 on overcloud-controller-0
+ * Resource action: rabbitmq-bundle-1 monitor=30000 on overcloud-controller-1
+ * Resource action: rabbitmq-bundle-2 monitor=30000 on overcloud-controller-2
  * Resource action: rabbitmq:0      start on rabbitmq-bundle-0
  * Resource action: rabbitmq:1      start on rabbitmq-bundle-1
  * Resource action: rabbitmq:2      start on rabbitmq-bundle-2
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-fencing.dot
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-fencing.dot
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-fencing.dot
@@ -7,8 +7,8 @@ digraph "g" {
 "galera-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-0_monitor_0 controller-2" -> "galera-bundle-0_start_0 controller-2" [ style = dashed]
 "galera-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-0_monitor_60000 controller-2" [ style=dashed color="red" fontcolor="black"]
-"galera-bundle-0_start_0 controller-2" -> "galera-bundle-0_monitor_60000 controller-2" [ style = dashed]
+"galera-bundle-0_monitor_30000 controller-2" [ style=dashed color="red" fontcolor="black"]
+"galera-bundle-0_start_0 controller-2" -> "galera-bundle-0_monitor_30000 controller-2" [ style = dashed]
 "galera-bundle-0_start_0 controller-2" -> "galera_monitor_20000 galera-bundle-0" [ style = dashed]
 "galera-bundle-0_start_0 controller-2" -> "galera_monitor_30000 galera-bundle-0" [ style = dashed]
 "galera-bundle-0_start_0 controller-2" -> "galera_start_0 galera-bundle-0" [ style = dashed]
@@ -90,8 +90,8 @@ digraph "g" {
 "rabbitmq-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-0_monitor_0 controller-2" -> "rabbitmq-bundle-0_start_0 controller-1" [ style = dashed]
 "rabbitmq-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-0_monitor_60000 controller-1" [ style=dashed color="red" fontcolor="black"]
-"rabbitmq-bundle-0_start_0 controller-1" -> "rabbitmq-bundle-0_monitor_60000 controller-1" [ style = dashed]
+"rabbitmq-bundle-0_monitor_30000 controller-1" [ style=dashed color="red" fontcolor="black"]
+"rabbitmq-bundle-0_start_0 controller-1" -> "rabbitmq-bundle-0_monitor_30000 controller-1" [ style = dashed]
 "rabbitmq-bundle-0_start_0 controller-1" -> "rabbitmq_monitor_10000 rabbitmq-bundle-0" [ style = dashed]
 "rabbitmq-bundle-0_start_0 controller-1" -> "rabbitmq_start_0 rabbitmq-bundle-0" [ style = dashed]
 "rabbitmq-bundle-0_start_0 controller-1" [ style=dashed color="red" fontcolor="black"]
@@ -170,8 +170,8 @@ digraph "g" {
 "redis-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-0_monitor_0 controller-2" -> "redis-bundle-0_start_0 controller-1" [ style = dashed]
 "redis-bundle-0_monitor_0 controller-2" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-0_monitor_60000 controller-1" [ style=dashed color="red" fontcolor="black"]
-"redis-bundle-0_start_0 controller-1" -> "redis-bundle-0_monitor_60000 controller-1" [ style = dashed]
+"redis-bundle-0_monitor_30000 controller-1" [ style=dashed color="red" fontcolor="black"]
+"redis-bundle-0_start_0 controller-1" -> "redis-bundle-0_monitor_30000 controller-1" [ style = dashed]
 "redis-bundle-0_start_0 controller-1" -> "redis_monitor_45000 redis-bundle-0" [ style = dashed]
 "redis-bundle-0_start_0 controller-1" -> "redis_monitor_60000 redis-bundle-0" [ style = dashed]
 "redis-bundle-0_start_0 controller-1" -> "redis_start_0 redis-bundle-0" [ style = dashed]
